package com.example.calendaryapp;

import android.app.Application;

import androidx.annotation.NonNull;
import androidx.lifecycle.AndroidViewModel;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity(tableName = "note_table")
public class Note {
    //Esta clase sera una tabla

    @PrimaryKey(autoGenerate = true) //clave principal de la tabla
    private int id;
    private String title;
    private String description;
    private int priority;
    private String Bloque;
    private String Horario;
    private String SalaClase;

    public Note(String title, String description, int priority,String Bloque,String Horario,String SalaClase) {
        this.title = title;
        this.description = description;
        this.priority = priority;
        this.Bloque = Bloque;
        this.Horario = Horario;
        this.SalaClase=SalaClase;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public String getTitle() {
        return title;
    }

    public String getDescription() {
        return description;
    }

    public String getBloque(){return Bloque;}

    public String getHorario() {
        return Horario;
    }
    public String getSalaClase(){return SalaClase;}

    public int getPriority() {
        return priority;
    }

    public static class NoteViewModel extends AndroidViewModel {
        public NoteViewModel(@NonNull Application application) {
            super(application);
        }
    }
}
